path: /build/build/blackbox_exporter-bin-app-metrics-0.28.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - cp -rf files /var/git/meta-repo/kits/core-server-kit/app-metrics/
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-metrics/blackbox_exporter-bin -pv -t
  - |
    emerge -j ${JOBS} --nodeps app-metrics/blackbox_exporter-bin
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/blackbox_exporter-bin && luet-portage
    --dir /pkgdir/blackbox_exporter-bin app-metrics/blackbox_exporter-bin
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:bb823fa1e22c242038a35bd29b7653b7f5157bc61d2308bcea0978202b1f618f
  package:
    name: blackbox_exporter-bin
    version: 0.28.0
    category: app-metrics
    requires:
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Blackbox prober exporter
    uri:
    - https://github.com/prometheus/blackbox_exporter
    license: Apache-2.0
    buildtimestamp: 2025-12-28 19:35:04.947505488 +0000 UTC m=+122.949347622
    labels:
      DEPEND: sys-apps/shadow
      IUSE: amd64 arm64
      emerge.packages: app-metrics/blackbox_exporter-bin
      kit: core-server-kit
      original.package.name: app-metrics/blackbox_exporter-bin
      original.package.slot: "0"
      original.package.version: 0.28.0
    treedir: /build/packages
  package_dir: /pkgdir/blackbox_exporter-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b0690a5c8cce6a890ca1c853a7b1f8a765738907bd2ad0d072e1bec2dfdd00e9
compressiontype: zstd
files:
- etc/blackbox_exporter/blackbox.yml
- etc/conf.d/blackbox_exporter
- etc/init.d/blackbox_exporter
- usr/bin/blackbox_exporter
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/BUILD_TIME
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/CATEGORY
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/CBUILD
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/CFLAGS
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/CHOST
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/CONTENTS
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/COUNTER
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/CTARGET
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/CXX
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/CXXFLAGS
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/DEFINED_PHASES
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/DEPEND
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/DESCRIPTION
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/EAPI
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/FEATURES
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/HOMEPAGE
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/INHERITED
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/IUSE
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/IUSE_EFFECTIVE
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/KEYWORDS
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/LDFLAGS
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/LICENSE
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/NEEDED
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/NEEDED.ELF.2
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/PF
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/SIZE
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/SLOT
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/USE
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/blackbox_exporter-bin-0.28.0.ebuild
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/environment.bz2
- var/db/pkg/app-metrics/blackbox_exporter-bin-0.28.0/repository
- var/lib/blackbox_exporter/.keep_app-metrics_blackbox_exporter-bin-0
- var/log/blackbox_exporter/.keep_app-metrics_blackbox_exporter-bin-0
package_cacheimage: ""
runtime:
  name: blackbox_exporter-bin
  version: 0.28.0
  category: app-metrics
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Blackbox prober exporter
  uri:
  - https://github.com/prometheus/blackbox_exporter
  license: Apache-2.0
  labels:
    DEPEND: sys-apps/shadow
    IUSE: amd64 arm64
    emerge.packages: app-metrics/blackbox_exporter-bin
    kit: core-server-kit
    original.package.name: app-metrics/blackbox_exporter-bin
    original.package.slot: "0"
    original.package.version: 0.28.0
